### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# utils.frame

## Module: `utils.frame`

Utilities for working with stack frames.

## Functions

`IPython.utils.frame.``debugx`(expr, pre_msg='')

  Print the value of an expression from the caller’s frame.

  Takes an expression, evaluates it in the caller’s frame and prints both the given expression and the resulting value (as well as a debug mark indicating the name of the calling function. The input must be of a form suitable for eval().

  An optional message can be passed, which will be prepended to the printed expr->value pair.

`IPython.utils.frame.``extract_vars`(*names, **kw)

  Extract a set of variables by name from another frame.

  Parameters :

  - *names: strings One or more variable names which will be extracted from the caller’s

  frame.

  Keywords :

  - depth: integer (0) How many frames in the stack to walk when looking for your variables.

  Examples:

  > In [2]: def func(x):
  >   ...: y = 1 ...: print extract_vars(‘x’,’y’) ...:

  > In [3]: func(‘hello’) {‘y’: 1, ‘x’: ‘hello’}

`IPython.utils.frame.``extract_vars_above`(*names)

  Extract a set of variables by name from another frame.

  Similar to extractVars(), but with a specified depth of 1, so that names are exctracted exactly from above the caller.

  This is simply a convenience function so that the very common case (for us) of skipping exactly 1 frame doesn’t have to construct a special dict for keyword passing.

### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »